%{?nodejs_find_provides_and_requires}

%define enable_tests 0

Name:           nodejs-wordwrap
Version:        0.0.2
Release:        %mkrel 3
Summary:        Word wrapping library for node

Group:          System/Libraries
License:        MIT
URL:            https://github.com/substack/node-wordwrap
Source0:        http://registry.npmjs.org/wordwrap/-/wordwrap-%{version}.tgz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(expresso)
%endif

%description
Wrap those words. Show them at what columns to start and stop.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/wordwrap
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/wordwrap

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
ln -sf .. node_modules/wordwrap
expresso
%endif

%files
%{nodejs_sitelib}/wordwrap
%doc README.markdown example


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 0.0.2-3.mga6
+ Revision: 931730
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-2.mga5
+ Revision: 741098
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 philippem <philippem> 0.0.2-1.mga5
+ Revision: 737549
- wrong group
- imported package nodejs-wordwrap

